g-ir-compiler(1)

NAME
g-ir-compiler - typelib compiler.

SYNOPSIS
g-ir-compiler [OPTION...] GIRFILE

DESCRIPTION
g-ir-compiler converts one or more GIR files into one or more typelib. It can either emit the raw typelib blob (default behavior) or C code (--code). The output will be written to standard output unless the --output is specified.

OPTIONS

---help
    Show help options

---code
    Emit C code which is suitable for including in a shared library instead of a raw typelib.

---output=FILENAME
    Save the resulting output in FILENAME.

---verbose
    Show verbose messages

---debug
    Show debug messages

---no-init
    Do not include an initialization snippet to register the typelib in the respository. This can only be used if --code is also specified.

---includedir=DIRECTORY
    Adds a directory which will be used to find includes inside the GIR format.

---module=MODULE
    FIXME

---shared-library=FILENAME
    Specifies the shared library where the symbols in the typelib can be found. The name of the library should not contain the leading lib prefix nor the ending shared library suffix.

BUGS
Report bugs at http://bugzilla.gnome.org/ in the glib product and
    introspection component.

HOMEPAGE and CONTACT
http://live.gnome.org/GObjectIntrospection

AUTHORS
Mattias Clasen